Ask API accepts a zoning-related question and conversation context, and returns AI-generated response with relevant zoning information.
Your API key
Zoning question that should include full address. Example: 'Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?'
ID to continue previous conversation. Use this to link follow-up questions and preserve context.
Note: The query parameter should contain a clear, natural-language question, including the full address, to ensure accurate AI responses. Example: "Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?" For follow-up questions about the same location, you do not need to provide the state name or code. Simply ask your question directly, and the conversation context will be maintained automatically. Example: "What are the maximum residential height and floor area limits?"
Indicates whether the request was successful or not
This JSON object contains the data items from the API's response as key and value pairs. Descriptions of these data items are provided below:
| Attribute Name | Description | Data type | Sample Value |
|---|---|---|---|
| chat-response | AI-generated zoning answer that includes zoning designation, permitted uses, development controls, and a summary tailored to the user's query. | String | **Location** - County: King, City: Seattle... (Includes zoning designation, permitted uses, development controls, and summary for the specified address) |
| conversation_title | A human-readable title for the conversation, typically derived from the address or main subject of the zoning question. | String | 789 Pine Road, Seattle, WA |
| source-urls | A list of reference URLs pointing to the applicable zoning codes or source documents used to generate the response. Users can access these links for additional details. | Array | https://staging.zoneomics.com/code/seattle-WA/chapter_12#12.2.6, https://staging.zoneomics.com/code/seattle-WA/chapter_3#3.2.32 |
| conversation-id | A unique identifier for the conversation, used to maintain context and continue follow-up questions within the same zoning discussion. | String | conv_3170_e66381d5-1bd0-4518-a8f7-4019259218a3 |
Find all the usecases for the api below
https://api.zoneomics.com/v2/ask{
"query": "Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?",
"api_key": "<Your API Key>",
"conversation_id": ""
}https://api.zoneomics.com/v2/ask{
"query": "Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?",
"api_key": "<Your API Key>",
"conversation_id": ""
}Now, to ask a follow-up question for the same location (What are the maximum residential height and floor-area limits for this property?), you can use the conversation_id parameter. By passing the initial conversation ID in your API request, you can continue the previous conversation seamlessly.
{
"query": "What are the maximum residential height and floor-area limits for this property?",
"api_key": "<Your API Key>",
"conversation_id": "conv_3170_a4e6a36c-f1d7-4911-a08e-94805c9e7a66"
}Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.
Ask API accepts a zoning-related question and conversation context, and returns AI-generated response with relevant zoning information.
Your API key
Zoning question that should include full address. Example: 'Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?'
ID to continue previous conversation. Use this to link follow-up questions and preserve context.
Note: The query parameter should contain a clear, natural-language question, including the full address, to ensure accurate AI responses. Example: "Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?" For follow-up questions about the same location, you do not need to provide the state name or code. Simply ask your question directly, and the conversation context will be maintained automatically. Example: "What are the maximum residential height and floor area limits?"
Indicates whether the request was successful or not
This JSON object contains the data items from the API's response as key and value pairs. Descriptions of these data items are provided below:
| Attribute Name | Description | Data type | Sample Value |
|---|---|---|---|
| chat-response | AI-generated zoning answer that includes zoning designation, permitted uses, development controls, and a summary tailored to the user's query. | String | **Location** - County: King, City: Seattle... (Includes zoning designation, permitted uses, development controls, and summary for the specified address) |
| conversation_title | A human-readable title for the conversation, typically derived from the address or main subject of the zoning question. | String | 789 Pine Road, Seattle, WA |
| source-urls | A list of reference URLs pointing to the applicable zoning codes or source documents used to generate the response. Users can access these links for additional details. | Array | https://staging.zoneomics.com/code/seattle-WA/chapter_12#12.2.6, https://staging.zoneomics.com/code/seattle-WA/chapter_3#3.2.32 |
| conversation-id | A unique identifier for the conversation, used to maintain context and continue follow-up questions within the same zoning discussion. | String | conv_3170_e66381d5-1bd0-4518-a8f7-4019259218a3 |
Find all the usecases for the api below
https://api.zoneomics.com/v2/ask{
"query": "Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?",
"api_key": "<Your API Key>",
"conversation_id": ""
}https://api.zoneomics.com/v2/ask{
"query": "Are residential or commercial developments permitted at 789 Pine Road, Seattle, WA?",
"api_key": "<Your API Key>",
"conversation_id": ""
}Now, to ask a follow-up question for the same location (What are the maximum residential height and floor-area limits for this property?), you can use the conversation_id parameter. By passing the initial conversation ID in your API request, you can continue the previous conversation seamlessly.
{
"query": "What are the maximum residential height and floor-area limits for this property?",
"api_key": "<Your API Key>",
"conversation_id": "conv_3170_a4e6a36c-f1d7-4911-a08e-94805c9e7a66"
}Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.